﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.Delivery.ServiceAcceptance;
@model Toyota.Common.Web.MVC.ModelHolder

<table border="0" cellpadding="2" cellspacing="2">
    <tr>
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Manifest No : ";
                    label.Style.Add("padding-right", "10px");
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                edtSettings =>
                {
                    edtSettings.Name = "MANIFEST_NO";
                    edtSettings.Width = System.Web.UI.WebControls.Unit.Pixel(120);
                    edtSettings.Text = @ViewBag.MANIFEST_NO;
                    edtSettings.ReadOnly = true;
                    edtSettings.Properties.ValidationSettings.EnableCustomValidation = true;
                    edtSettings.Properties.MaxLength = 11;
                    edtSettings.Properties.ClientSideEvents.KeyPress = @"
                    function cek (s,e){
                        var theEvent = e.htmlEvent || window.event;
                        var key = theEvent.keyCode || theEvent.which;
                        if(key==13)
                        {
                            //getDataByDCL();
                            DOCK_CD.SetFocus();
                        }
                    }
                        ";
                }).GetHtml()
        </td>
        <td width="20">&nbsp;</td>
        <td>Supplier Plant Code : </td><td>@ViewBag.SUPPLIER_PLANT_CD</td>
        <td width="20">&nbsp;</td>
        <td>Supplier Code : </td><td>@ViewBag.SUPPLIER_CODE</td>
        <td width="20">&nbsp;</td>
        <td>Supplier Name : </td><td>@ViewBag.SUPPLIER_NAME</td>
    </tr>

    <tr>
        <td>Rcv Plant Code : </td>
        <td>@ViewBag.RCV_PLANT_CD</td>
        <td width="20">&nbsp;</td>
        <td>Dock Code : </td><td>@ViewBag.DOCK_CD</td>
        <td colspan="6"></td>
    </tr>
</table>
